## h323plus 1.22.0~dfsg

=== src/Makefile ===
--- 
+++ 
@@ -22,6 +22,27 @@
 # Contributor(s): ______________________________________.
 #
 # $Log: Makefile,v $
+# Revision 1.19  2010/09/07 15:19:40  willamowius
+# turn off strict-aliasing optimization, because it breaks the PDynaLink code
+#
+# Revision 1.18  2009/12/08 04:21:29  shorne
+# Added H.460.24 Annex B and Presence
+#
+# Revision 1.17  2009/08/21 07:01:06  shorne
+# Added H.460.9 Support
+#
+# Revision 1.16  2009/07/25 10:35:51  shorne
+# First cut of H.460.23/.24 support
+#
+# Revision 1.15  2009/06/28 10:24:46  willamowius
+# add more headers
+#
+# Revision 1.14  2009/06/28 10:06:04  willamowius
+# add h46018_h225.cxx
+#
+# Revision 1.13  2009/06/28 09:45:46  willamowius
+# add h460_std18.cxx
+#
 # Revision 1.12  2008/11/28 13:06:49  willamowius
 # add new files
 #
@@ -84,6 +105,8 @@
 
 include $(OPENH323DIR)/openh323u.mak
 
+# turn off strict-aliasing optimization, because it breaks the PDynaLink code
+STDCCFLAGS += -fno-strict-aliasing
 
 OH323_OBJDIR = $(OH323_LIBDIR)/$(PT_OBJBASE)
 ifdef NOTRACE
@@ -237,13 +260,29 @@
 HEADER_FILES    += $(OH323_INCDIR)/h460/h460.h \
                    $(OH323_INCDIR)/h460/h4601.h \
                    $(OH323_INCDIR)/h460/h4609.h \
+                   $(OH323_INCDIR)/h460/h460_std9.h \
                    $(OH323_INCDIR)/h460/h46018.h \
-                   $(OH323_INCDIR)/h460/h46019.h
+                   $(OH323_INCDIR)/h460/h460_std18.h \
+                   $(OH323_INCDIR)/h460/h46018_h225.h \
+                   $(OH323_INCDIR)/h460/h46019.h \
+                   $(OH323_INCDIR)/h460/h460_std23.h \
+                   $(OH323_INCDIR)/h460/h46024b.h \
+                   $(OH323_INCDIR)/h460/h460_oid3.h \
+                   $(OH323_INCDIR)/h460/h460p.h \
+                   $(OH323_INCDIR)/h460/h460pres.h
 
 COMMON_SOURCES  += $(OH323_SRCDIR)/h460/h4601.cxx \
                    $(OH323_SRCDIR)/h460/h4609.cxx \
+                   $(OH323_INCDIR)/h460/h460_std9.cxx \
                    $(OH323_SRCDIR)/h460/h46018.cxx \
-                   $(OH323_SRCDIR)/h460/h46019.cxx
+                   $(OH323_SRCDIR)/h460/h460_std18.cxx \
+                   $(OH323_SRCDIR)/h460/h46018_h225.cxx \
+                   $(OH323_SRCDIR)/h460/h46019.cxx \
+                   $(OH323_SRCDIR)/h460/h460_std23.cxx \
+                   $(OH323_INCDIR)/h460/h46024b.cxx \
+                   $(OH323_INCDIR)/h460/h460_oid3.cxx \
+                   $(OH323_INCDIR)/h460/h460p.cxx \
+                   $(OH323_INCDIR)/h460/h460pres.cxx
 endif 
 
 ########### H.501
@@ -387,40 +426,3 @@
 ASNPARSER = $(ASNPARSE_DIR)/obj_$(HOST_PLATFORM_TYPE)_d/asnparser
 
 
-# If not cross compiling then make sure asnparser is built
-ifeq ($(PLATFORM_TYPE),$(HOST_PLATFORM_TYPE))
-$(ASNPARSER):
-	$(MAKE) -C $(ASNPARSE_DIR) opt
-endif
-
-
-asnparser.version: $(ASNPARSER)
-	$(ASNPARSER) --version | awk '{print $$1,$$2,$$3}' > asnparser.version.new
-	if test -f asnparser.version && diff asnparser.version.new asnparser.version >/dev/null 2>&1 ; \
-		then rm asnparser.version.new ; \
-		else mv asnparser.version.new asnparser.version ; \
-	fi
-
-asnfiles: $(ASNPARSER)
-	$(ASNPARSER) -s3 -m H245 -c --classheader "H245_AudioCapability=#ifndef PASN_NOPRINTON\nvoid PrintOn(ostream & strm) const;\n#endif" h245.asn
-	mv $(OH323_SRCDIR)/h245.h $(OH323_INCDIR)/h245.h
-	$(ASNPARSER) -m H235 -c h235.asn
-	mv $(OH323_SRCDIR)/h235.h $(OH323_INCDIR)/h235.h
-	$(ASNPARSER) -s2 -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn
-	mv $(OH323_SRCDIR)/h225.h $(OH323_INCDIR)/h225.h
-	$(ASNPARSER) -m H248 -c h248.asn
-	mv $(OH323_SRCDIR)/h248.h $(OH323_INCDIR)/h248.h
-	$(ASNPARSER) -m H4501 -c h4501.asn
-	mv $(OH323_SRCDIR)/h4501.h $(OH323_INCDIR)/h4501.h
-	$(ASNPARSER) -m H4502 -c h4502.asn
-	mv $(OH323_SRCDIR)/h4502.h $(OH323_INCDIR)/h4502.h
-	$(ASNPARSER) -m H4503 -c h4503.asn
-	mv $(OH323_SRCDIR)/h4503.h $(OH323_INCDIR)/h4503.h
-	$(ASNPARSER) -m H4504 -c h4504.asn
-	mv $(OH323_SRCDIR)/h4504.h $(OH323_INCDIR)/h4504.h
-	$(ASNPARSER) -m H4505 -c h4505.asn
-	mv $(OH323_SRCDIR)/h4505.h $(OH323_INCDIR)/h4505.h
-	$(ASNPARSER) -m H4506 -c h4506.asn
-	mv $(OH323_SRCDIR)/h4506.h $(OH323_INCDIR)/h4506.h
-	$(ASNPARSER) -m H4507 -c h4507.asn
-	mv $(OH323_SRCDIR)/h4507.h $(OH323_INCDIR)/h4507.h
