=== debian/changelog ===
h323plus (1.22.0~dfsg-1) experimental; urgency=low

  * New upstream release
  * Fix debian/watch
  * Switch to dpkg-source 3.0 (quilt) format - ditch dpatch 
  * Switch to debhelper's dh building - ditch cdbs
  * Convert dpatch patches to quilt patches
  * Remove obsolete README.source now that we don't use dpatch anymore
  * Update VCS fields in debian/control
  * Bump build-depends for libpt-dev to 2.6.7
  * Add legacy PTLIBDIR to build process until upstream uses pkg-config
  * Add symbols file for libh323-1.22.0 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Remove duplicate Section for binary package libh323-1.22.0
  * Register API documentation with doc-base
  * Bump Standards-Version to 3.9.2

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 11:13:58 +0200

h323plus (1.21.0~dfsg-1) unstable; urgency=low

  * New Upstream Release 
    - NEW packages libh323plus-dev libh323-1.21.0 libh323-dbg
    - NEW source package h323plus - New Upstream API
    - h323plus is openh323 continued
  * Switch to cdbs
  * debian/compat -> 7
  * Cleanup debian/patches
  * Drop -doc package - docs not included upstream
  * Add ReleasedCode to version.h
  * Upstream dropped simph323
  * Update Build-Depends
  * Cleanup debian/watch
  * Update debian/copyright; MPL v1.0 & MPL v1.1
  * Drop configure.exe to meet DFSG

 -- Mark Purcell <msp@debian.org>  Tue, 01 Jun 2010 21:48:27 +1000

openh323 (1.18.0.dfsg-10) unstable; urgency=low

  [ Patrick Matthäi ]
  * Bumped Standards-Version to 3.8.0.
  * Remove duplicated word in description from libopenh323-dev (the the).
    Thanks lintian.
  * Add description for 03_Makefile.in.dpatch and printon_with_notrace.dpatch.

  [ Mark Purcell ]
  * Update Build-Depends: libpt-1.10.10-dev

 -- Mark Purcell <msp@debian.org>  Sat, 25 Apr 2009 21:20:05 +1000

openh323 (1.18.0.dfsg-9) unstable; urgency=low

  * Fix bug where shlibs were very strict on binNMUed versions.
  * Fix syntax error in the simph323.1 manpage.
  * Include forgotten patch backport-vpb-fix to the list of patches to apply
    (00list); this actually fixes the linking against libvpb issue.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 03 Apr 2008 06:09:48 +0300

openh323-titan (1.19.1~dfsg-4) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453594)
  * Remove symlinks to unused compatibility versions.

  [ Faidon Liambotis ]
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.
  * Do not depend on ...-1 versions of binutils and libspeex-dev to ease
    backports. Fixes lintian warning build-depends-on-1-revision.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove debian/backports/{etch,lenny,sid,edgy,feisty,gutsy} since their
    changes weren't needed anymore.
  * Fix bug where shlibs were very strict on binNMUed versions.
  * Fix syntax error in the simph323.1 manpage.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 02 Apr 2008 07:18:52 +0300

openh323 (1.18.0.dfsg-8) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net (Closes: #453578)
  * Remove symlinks to unused compatibility versions.

  [ Faidon Liambotis ]
  * Backport openh323u.mak changes fix from titan that disable unnecessary
    linking against libvpb.
  * Bump Standards-Version to 3.7.3, no changed needed.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.
  * Do not depend on ...-1 versions of binutils and libspeex-dev to ease
    backports. Fixes lintian warning build-depends-on-1-revision.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove debian/backports/{etch,lenny,sid,edgy,feisty,gutsy} since their
    changes weren't needed anymore.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 07:15:42 +0300

openh323-titan (1.19.1~dfsg-3) unstable; urgency=low

  * Add missing Conflicts on simph323 and libopenh323-dbg
    (Closes: #447858, #447859)

 -- Kilian Krause <kilian@debian.org>  Mon, 29 Oct 2007 10:05:32 +0100

openh323-titan (1.19.1~dfsg-2) unstable; urgency=low

  * Add missing Build-Depends on doxygen (Closes: 447043)
  * Add lintian overrides to shut up warnings.

 -- Kilian Krause <kilian@debian.org>  Wed, 17 Oct 2007 20:34:29 +0200

openh323-titan (1.19.1~dfsg-1) unstable; urgency=low

  * New upstream release (Codename: Titan, development branch)

  [ Faidon Liambotis ]
  * Update to Standards-Version 3.7.2, no changes needed.
  * Use debian/compat instead of DH_COMPAT.
  * Remove doxygen from Build-Deps, since it is part of Build-Deps-Indep.
  * Adapt shlibs to depend on the upstream's version number and not the Debian
    version number, since we don't extend the ABI. This also imitates
    debhelper's behavior.
  * Build-Conflict on libopenh323-1.18.0 since it will FTBFS if present.
  * Drop Build-Conflicts on pre-sarge linux-kernel-headers.

  [ Kilian Krause ]
  * Update debian/watch.
  * Update backport hooks.
  * Adjust debhelper build-dep to compat level in debian/compat.
  * Build-Depend on PWLib Titan release.
  * Fix implicit rules-ignore-make-clean error.
  * Adjust dh_strip call to new package namepace
  * Add Homepage field as added in dpkg-dev 1.14.6.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:08:48 +0200

openh323 (1.18.0.dfsg-7) unstable; urgency=high


