=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERSION := $(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg$$//')

FILENAME := h323plus_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := h323plus_$(UPVERSION).orig.tar.gz
URL := http://www.h323plus.org/source/download/h323plus-$(UPVERSION).tar.gz

export PTLIBDIR = $(CURDIR)/debian/ptlibdir

# to collect all symbols on all archs in experimental
# and set this to 1 or higher once we move to unstable
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper

override_dh_auto_configure:
	rm -rf debian/ptlibdir;mkdir debian/ptlibdir;for file in /usr/include/ptlib/* /usr/share/ptlib/*;do ln -sf $$file debian/ptlibdir;done
	dh_auto_configure -- --enable-plugins

override_dh_clean:
	dh_clean 
	rm -fR lib/
	rm -rf debian/ptlibdir

override_dh_strip:
	dh_strip -a --dbg-package=libh323-dbg

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing configure.exe)...'
	@@mkdir -p ../tarballs/h323plus-$(UPVERSION).tmp/
	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus*/configure.exe
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/h323plus-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)
