## h323plus 1.24.0~dfsg

=== debian/changelog ===
h323plus (1.24.0~dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release:
   + debian/rules: fix get-orig-source target 
   + Patch 02_configure.ac.patch removed: applied upstream.
  * Install h323plus_changes.txt as upstream changelog
  * Add configure.ac patch from upstream to find installed ptlib, too.
    (Requires dh-autoreconf for now)
  * Remove unneccessary ptlibdir hack from debian/rules
  * Include symbols-check as default now

  [ Tzafrir Cohen ]
  * Patch fix_autoconf: fix broken syntax, allow autoreconf
  * Patch ptlib-pkgconfig: Fixes building with ptlib, I believe

  [ Mark Purcell ]
  * NEW package libh323-1.24.0 - match-soname
    - Fixes "fails to upgrade from 'sid'" (Closes: #658722)
  * Drop symbol support - few rdepends, regular soname changes and
    exporting lots of symbols (C++)
  * Refresh ptlib-pkgconfig
  * Disable FTBFS modules: 
    --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
    - Fixes "FTBFS: h460_std23.h:75:2: error: 'PObject' is an ambiguous base
    of 'PNatMethod_H46024'" (Closes: #663576)

 -- Mark Purcell <msp@debian.org>  Sat, 17 Mar 2012 13:51:56 +1100
