=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 8), libsasl2-dev, autotools-dev, binutils (>= 2.17), dpkg-dev (>= 1.13.19), 
- libpt-dev (>= 2.6.7), libldap2-dev, libssl-dev, libexpat1-dev, libsdl1.2-dev, unixodbc-dev, pkg-kde-tools
+Build-Depends: debhelper (>= 8), libsasl2-dev, autotools-dev, binutils (>= 2.17), 
+ dpkg-dev (>= 1.13.19), libpt-dev (>= 2.10.1), libldap2-dev, libssl-dev, libexpat1-dev, 
+ libsdl1.2-dev, unixodbc-dev, pkg-kde-tools, dh-autoreconf
 Build-Conflicts: libopenh323-dev, libopenh323-1.18.0
 Standards-Version: 3.9.2
 Homepage: http://www.h323plus.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-voip/openh323/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/openh323/trunk/
 
-Package: libh323-1.22.0
+Package: libh323-1.24.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: H.323 aka VoIP library
@@ -25,7 +26,7 @@
 Package: libh323plus-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version}), libssl-dev, libpt-dev
+Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version}), libssl-dev, libpt-dev
 Conflicts: libopenh323-dev
 Replaces: libopenh323-dev
 Description: H.323 aka VoIP library development files
@@ -41,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version})
 Description: H.323 aka VoIP library development debug files
  This package contains the shared and static debug version of the
  OpenH323 library.
