=== debian/rules ===
--- 
+++ 
@@ -5,28 +5,24 @@
 DEBVERSION := $(shell head -n 1 debian/changelog \
                     | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION := $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg$$//')
+URLVERSION := $(shell echo $(UPVERSION) | sed -r -e 's/\./_/g')
 
 FILENAME := h323plus_$(UPVERSION)~dfsg.orig.tar.gz
 UPFILENAME := h323plus_$(UPVERSION).orig.tar.gz
-URL := http://www.h323plus.org/source/download/h323plus-$(UPVERSION).tar.gz
-
-export PTLIBDIR = $(CURDIR)/debian/ptlibdir
-
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
+URL := http://www.h323plus.org/source/download/h323plus-v$(URLVERSION).tar.gz
 
 %:
-	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	rm -rf debian/ptlibdir;mkdir debian/ptlibdir;for file in /usr/include/ptlib/* /usr/share/ptlib/*;do ln -sf $$file debian/ptlibdir;done
-	dh_auto_configure -- --enable-plugins
+	dh_auto_configure -- --enable-plugins --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
+
+override_dh_installchangelogs:
+	dh_installchangelogs h323plus_changes.txt
 
 override_dh_clean:
 	dh_clean 
 	rm -fR lib/
-	rm -rf debian/ptlibdir
 
 override_dh_strip:
 	dh_strip -a --dbg-package=libh323-dbg
