## h323plus 1.24.0~dfsg2

=== src/Makefile ===
--- 
+++ 
@@ -21,79 +21,7 @@
 #
 # Contributor(s): ______________________________________.
 #
-# $Log: Makefile,v $
-# Revision 1.19  2010/09/07 15:19:40  willamowius
-# turn off strict-aliasing optimization, because it breaks the PDynaLink code
-#
-# Revision 1.18  2009/12/08 04:21:29  shorne
-# Added H.460.24 Annex B and Presence
-#
-# Revision 1.17  2009/08/21 07:01:06  shorne
-# Added H.460.9 Support
-#
-# Revision 1.16  2009/07/25 10:35:51  shorne
-# First cut of H.460.23/.24 support
-#
-# Revision 1.15  2009/06/28 10:24:46  willamowius
-# add more headers
-#
-# Revision 1.14  2009/06/28 10:06:04  willamowius
-# add h46018_h225.cxx
-#
-# Revision 1.13  2009/06/28 09:45:46  willamowius
-# add h460_std18.cxx
-#
-# Revision 1.12  2008/11/28 13:06:49  willamowius
-# add new files
-#
-# Revision 1.11  2008/07/19 01:12:29  willamowius
-# enable building og H.341 on Linux
-#
-# Revision 1.10  2008/02/13 15:45:29  willamowius
-# fix for PTLib 2.0.x: PW_LIBDIR is no longer provided
-#
-# Revision 1.9  2008/01/02 18:48:37  willamowius
-# add file transfer files
-#
-# Revision 1.8  2008/01/01 00:16:12  shorne
-# Added GnuGknat and FileTransfer support
-#
-# Revision 1.7  2007/11/11 03:02:46  shorne
-# Added GCCPDU references for H230 implementation
-#
-# Revision 1.6  2007/11/07 14:47:47  shorne
-# h230 fix again!
-#
-# Revision 1.5  2007/11/07 10:03:54  shorne
-# fix h230 compile error
-#
-# Revision 1.4  2007/11/01 19:44:24  shorne
-# *** empty log message ***
-#
-# Revision 1.3  2007/10/31 09:52:35  shorne
-# added missing reference to H460.9
-#
-# Revision 1.2  2007/10/31 08:37:01  shorne
-# removed unused reference
-#
-# Revision 1.1  2007/08/06 20:51:02  shorne
-# First commit of h323plus
-#
-# Revision 1.136.2.5  2007/08/02 20:11:57  shorne
-# Added H.341 Support
-#
-# Revision 1.136.2.4  2007/08/01 18:46:35  shorne
-# fixed typo
-#
-# Revision 1.136.2.3  2007/07/20 22:03:26  shorne
-# Initial H.350 Support
-#
-# Revision 1.136.2.2  2007/01/30 09:03:31  shorne
-# Fixed H450 error and removed missed VIC files
-#
-# Revision 1.136.2.1  2006/12/23 19:08:02  shorne
-# Plugin video codecs & sundry
-#
+# $Id: Makefile,v 1.27 2011/12/12 13:41:35 shorne Exp $
 #
 #
 
@@ -201,11 +129,34 @@
 
 ifdef H323_H230
 HEADER_FILES	+= $(OH323_INCDIR)/gccpdu.h \
-                   $(OH323_INCDIR)/h230/h230.h \
-                   $(OH323_INCDIR)/h230/OID2.h
-COMMON_SOURCES	+= $(OH323_SRCDIR)/gccpdu.cxx \
-                   $(OH323_SRCDIR)/h230/h230.cxx \
+                   $(OH323_INCDIR)/h230/h230.h 
+
+SOURCES		    += $(OH323_SRCDIR)/gccpdu.cxx \
                    $(OH323_INCDIR)/h230/OID2.cxx
+
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h230/h230.cxx
+endif
+
+########### H.235
+
+ifndef OH323_SUPPRESS_H235
+SOURCES		+= $(OH323_SRCDIR)/h235.cxx 
+endif
+
+ifdef HAS_OPENSSL
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth1.cxx
+endif
+
+ifdef H323_H235
+HEADER_FILES	+= $(OH323_INCDIR)/h235/h2351.h \
+                   $(OH323_INCDIR)/h235/h2356.h \
+                   $(OH323_INCDIR)/h235/h235caps.h \
+                   $(OH323_INCDIR)/h235/h235chan.h \
+                   $(OH323_INCDIR)/h235/h235con.h
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h235/h2356.cxx \
+                   $(OH323_SRCDIR)/h235/h235caps.cxx \
+                   $(OH323_SRCDIR)/h235/h235chan.cxx \
+                   $(OH323_SRCDIR)/h235/h235con.cxx
 endif
 
 ########### H.248
@@ -229,8 +180,8 @@
 HEADER_FILES    += $(OH323_INCDIR)/h350/h350.h \
                    $(OH323_INCDIR)/h350/h350_service.h
 
-COMMON_SOURCES  += $(OH323_SRCDIR)/h350/h350.cxx \
-                   $(OH323_INCDIR)/h350/h350_service.cxx
+SOURCES		    += $(OH323_INCDIR)/h350/h350_service.cxx
+COMMON_SOURCES  += $(OH323_SRCDIR)/h350/h350.cxx
 endif
 
 ########### H.450
@@ -261,6 +212,9 @@
                    $(OH323_INCDIR)/h460/h4601.h \
                    $(OH323_INCDIR)/h460/h4609.h \
                    $(OH323_INCDIR)/h460/h460_std9.h \
+                   $(OH323_INCDIR)/h460/h46015.h \
+                   $(OH323_INCDIR)/h460/h46017a.h \
+                   $(OH323_INCDIR)/h460/h460_std17.h \
                    $(OH323_INCDIR)/h460/h46018.h \
                    $(OH323_INCDIR)/h460/h460_std18.h \
                    $(OH323_INCDIR)/h460/h46018_h225.h \
@@ -271,18 +225,24 @@
                    $(OH323_INCDIR)/h460/h460p.h \
                    $(OH323_INCDIR)/h460/h460pres.h
 
-COMMON_SOURCES  += $(OH323_SRCDIR)/h460/h4601.cxx \
+SOURCES         += \
                    $(OH323_SRCDIR)/h460/h4609.cxx \
+                   $(OH323_INCDIR)/h460/h46015.cxx \
+                   $(OH323_SRCDIR)/h460/h46017a.cxx \
+                   $(OH323_SRCDIR)/h460/h46019.cxx \
+                   $(OH323_INCDIR)/h460/h46024b.cxx \
+                   $(OH323_INCDIR)/h460/h460pres.cxx
+
+COMMON_SOURCES  += \
+                   $(OH323_SRCDIR)/h460/h4601.cxx \
                    $(OH323_INCDIR)/h460/h460_std9.cxx \
+                   $(OH323_SRCDIR)/h460/h460_std17.cxx \
                    $(OH323_SRCDIR)/h460/h46018.cxx \
                    $(OH323_SRCDIR)/h460/h460_std18.cxx \
                    $(OH323_SRCDIR)/h460/h46018_h225.cxx \
-                   $(OH323_SRCDIR)/h460/h46019.cxx \
                    $(OH323_SRCDIR)/h460/h460_std23.cxx \
-                   $(OH323_INCDIR)/h460/h46024b.cxx \
                    $(OH323_INCDIR)/h460/h460_oid3.cxx \
-                   $(OH323_INCDIR)/h460/h460p.cxx \
-                   $(OH323_INCDIR)/h460/h460pres.cxx
+                   $(OH323_INCDIR)/h460/h460p.cxx
 endif 
 
 ########### H.501
@@ -300,10 +260,14 @@
 ########### T.120
 
 ifdef H323_T120
+HEADER_FILES	+= $(OH323_INCDIR)/mcspdu.h
+SOURCES         += $(OH323_SRCDIR)/mcspdu.cxx
 HEADER_FILES	+= $(OH323_INCDIR)/h323t120.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/h323t120.cxx
 HEADER_FILES	+= $(OH323_INCDIR)/t120proto.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/t120proto.cxx
+HEADER_FILES	+= $(OH323_INCDIR)/x224.h
+COMMON_SOURCES	+= $(OH323_SRCDIR)/x224.cxx
 endif
 
 ########### GNUGK
@@ -318,16 +282,6 @@
 ifdef H323_FILE
 HEADER_FILES	+= $(OH323_INCDIR)/h323filetransfer.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/h323filetransfer.cxx
-endif
-
-########## H.235
-
-ifndef OH323_SUPPRESS_H235
-SOURCES		+= $(OH323_SRCDIR)/h235.cxx 
-endif
-
-ifdef HAS_OPENSSL
-COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth1.cxx
 endif
 
 ########### FAX
@@ -366,6 +320,7 @@
 
 VPATH_CXX := $(OH323_SRCDIR) \
              $(OH323_SRCDIR)/h230 \
+             $(OH323_SRCDIR)/h235 \
              $(OH323_SRCDIR)/h341 \
              $(OH323_SRCDIR)/h350 \
              $(OH323_SRCDIR)/h450 \
@@ -426,3 +381,25 @@
 ASNPARSER = $(ASNPARSE_DIR)/obj_$(HOST_PLATFORM_TYPE)_d/asnparser
 
 
+# If not cross compiling then make sure asnparser is built
+ifeq ($(PLATFORM_TYPE),$(HOST_PLATFORM_TYPE))
+$(ASNPARSER):
+	$(MAKE) -C $(ASNPARSE_DIR) opt
+endif
+
+
+asnparser.version: $(ASNPARSER)
+	$(ASNPARSER) --version | awk '{print $$1,$$2,$$3}' > asnparser.version.new
+	if test -f asnparser.version && diff asnparser.version.new asnparser.version >/dev/null 2>&1 ; \
+		then rm asnparser.version.new ; \
+		else mv asnparser.version.new asnparser.version ; \
+	fi
+
+asnfiles: $(ASNPARSER)
+	$(ASNPARSER) -s3 -m H245 -c --classheader "H245_AudioCapability=#ifndef PASN_NOPRINTON\nvoid PrintOn(ostream & strm) const;\n#endif" h245.asn
+	mv $(OH323_SRCDIR)/h245.h $(OH323_INCDIR)/h245.h
+	$(ASNPARSER) -m H235 -c h235.asn
+	mv $(OH323_SRCDIR)/h235.h $(OH323_INCDIR)/h235.h
+	$(ASNPARSER) -s2 -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn
+	mv $(OH323_SRCDIR)/h225.h $(OH323_INCDIR)/h225.h
+	$(ASNPARSER) -m H248 -c h248.asn
