=== samples/simple/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the H323Plus library.
#

PROG		= simph323
SOURCES		:= main.cxx

ifndef OPENH323DIR
OPENH323DIR=$(CURDIR)/../..
endif

include $(OPENH323DIR)/openh323u.mak
