=== debian/changelog ===
h323plus (1.24.0~dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure autotools-dev is used as well as dh-autoreconf
    to allow building on new architectures (Closes: #765225) 

 -- Wookey <wookey@debian.org>  Tue, 08 Sep 2015 20:38:49 +0000

h323plus (1.24.0~dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ transition

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 05 Sep 2015 11:32:44 +0100

h323plus (1.24.0~dfsg2-1) unstable; urgency=low

  * Fix "Source package contains non-free IETF RFC/I-D" Strip iLBC
    (Closes: #664606)

 -- Mark Purcell <msp@debian.org>  Mon, 11 Jun 2012 10:05:51 +1000
