=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-voip/openh323/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/openh323/trunk/
 
-Package: libh323-1.24.0
+Package: libh323-1.24.0v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libh323-1.24.0
+Replaces: libh323-1.24.0
 Description: H.323 aka VoIP library
  This package contains the shared version of the H.323 Plus library.
  .
@@ -26,7 +28,7 @@
 Package: libh323plus-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version}), libssl-dev, libpt-dev
+Depends: ${misc:Depends}, libh323-1.24.0v5 (= ${binary:Version}), libssl-dev, libpt-dev
 Conflicts: libopenh323-dev
 Replaces: libopenh323-dev
 Description: H.323 aka VoIP library development files
@@ -42,7 +44,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libh323-1.24.0v5 (= ${binary:Version})
 Description: H.323 aka VoIP library development debug files
  This package contains the shared and static debug version of the
  OpenH323 library.
