=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 URL := http://www.h323plus.org/source/download/h323plus-v$(URLVERSION).tar.gz
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autoreconf,autotools-dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-plugins --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
@@ -33,10 +33,11 @@
 	@@#this is for stable versions
 	@@echo Downloading $(UPFILENAME) from $(URL) ...
 	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
-	@@echo 'Repacking as DFSG-free (removing configure.exe)...'
+	@@echo 'Repacking as DFSG-free (removing iLBC & configure.exe)...'
 	@@mkdir -p ../tarballs/h323plus-$(UPVERSION).tmp/
 	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
 	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus*/configure.exe
+	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus/plugins/audio/iLBC
 	@@echo Writing archive ../tarballs/$(FILENAME) ...
 	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
 	@@echo Cleaning up...
