=== debian/watch ===
version=3
opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
 http://www.h323plus.org/source/ download/h323plus-v?([\d_\.]+).tar.gz
